#menuhorizontal {
    width: 300px;
    border: 2px solid green;
}
#menuhorizontal a {
    padding: 0 28px;
    text-decoration: none;
    color: violet;
    background-color: lightblue;
}
#menuhorizontal a:hover {
    background-color: grey;
}
/*#menuhorizontal a:visited {
    color: red;
}*/
#menuvertical a {
    padding: 20px 10px;
    text-decoration: none;
    display: block;
    color: red;
    background-color: lightyellow;
}
#menuvertical {
    width: 200px;
    border: 2px solid blue;
}
#menuvertical a:hover {
    background-color: green;
}